glftpd privpath Directive Vulnerability

A vulnerability exists in glftpd, versions 1.18 through the latest beta, 1.21b8. The vulnerability exists in the access checking of the privpath directive, when combined with the completion function of glftpd. If the attacker knows the name of a private or group directory on a site, it is possible to access this directory without having the proper access to do so. This could result in sensitive information being downloadable by users not privileged enough to do so.


 

Privacy Statement
Copyright 2010, SecurityFocus